%define major 2
%define libname %mklibname gnome-menu %major
%define libnamedev %mklibname -d gnome-menu

Summary: GNOME menu library
Name: gnome-menus
Version: 2.24.0
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 2.15.91-2mdv grab translation from menu-messages if not in upstream file
Patch0: gnome-menus-2.15.91-l10n.patch
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
Patch1: gnome-menus-2.23.1-uncluttermenu.patch
License: GPL/LGPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.5.6
BuildRequires: gamin-devel
BuildRequires: intltool >= 0.40.0
BuildRequires: libpython-devel
Requires: python-%{name}

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n python-%{name}
Group: Development/Python
Summary: Module to access XDG menu

%description -n python-%{name}
Python module to access XDG menu.

%package -n %libname
Group: System/Libraries
Summary: GNOME menu library

%description -n %libname
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%package -n %libnamedev
Group: Development/C
Summary: GNOME menu library development files
Requires: %libname = %version
Provides: libgnome-menu-devel = %version-%release
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gnome-menu 2

%description -n %libnamedev
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q
%patch0 -p1 -b .l10n
%patch1 -p1 -b .uncluttermenu

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{io,be@latin,bn_IN,si,uz@cyrillic}
%find_lang %name

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/xdg/gnome
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus $RPM_BUILD_ROOT%{_sysconfdir}/xdg/gnome

chmod 755 %buildroot%_libdir/python*/site-packages/GMenuSimpleEditor/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS HACKING AUTHORS ChangeLog
%_datadir/desktop-directories
%dir %_sysconfdir/xdg/gnome
%dir %_sysconfdir/xdg/gnome/menus
%config(noreplace) %_sysconfdir/xdg/gnome/menus/*
%_bindir/*
%_datadir/applications/*
%_datadir/%{name}

%files -n python-%{name}
%defattr(-,root,root)
%_libdir/python*/site-packages/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libgnome-menu.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_includedir/gnome-menus/
%_libdir/pkgconfig/*.pc




%changelog
* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287270
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282795
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278666
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263624
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240982
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231027
- new version
- rediff patch 1
- update license
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211657
- new version
- rediff patch 1
- drop patch 2 (different fix upstream)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192479
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183844
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175411
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165441
- fix rpmlint errors
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159049
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152032
- new version
- drop patch 3

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.3-2mdv2008.1
+ Revision: 146365
- fix build with new gio

* Sun Dec 23 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 137344
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108581
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98657
- new version

* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 94945
- Update patch1 to no hide GNOME;Settings;System (Mdv bug #34269)

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 93618
- Resync with desktop-common-data

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89342
- new version

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-3mdv2008.0
+ Revision: 89162
- Patch2: fix separator handling (Mdv bug #32867)

* Mon Sep 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 84236
- Update patch1 to fill administration menu with System Tools menu content

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79445
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63211
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56699
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49937
- new version

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40592
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.3-2mdv2008.0
+ Revision: 36166
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32114
- new version


* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 143667
- Update patch1 to correctly find all GNOME preferences dialogs

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142066
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126137
- new version
- rediff the patch

* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-1mdv2007.1
+ Revision: 121383
-Release 2.17.91
-update patch1 to show preferences/admin submenus and only GNOME settings applications

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106900
- new version
- update patch 1

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 88097
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87684
- new version
- unpack patches
- Import gnome-menus

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch1: unclutter preferences/settings menus

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update patch0, should fix bug mdv #24481

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Patch0: grab translation from menu-messages if not available upstream

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4.1-2mdv2007.0
- Remove patch0, merged upstream

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4.1-1mdv2007.0
- new major
- New release 2.15.4.1

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new major
- New release 2.15.4

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-1mdk
- Release 2.13.5
- Patch0 (Fedora): break infinite loop

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- Use mkrel

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.0-2mdk
- add BuildRequires: libpython-devel

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Remove patch0 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-4mdk 
- Patch1: fix pending events being removed prematurely (Mdk bug #17632)

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-3mdk 
- Patch0 (CVS): fix monitoring

* Tue Aug 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-2mdk 
- Remove patch1, better fix has been included upstream

* Tue Aug 23 2005 Gtz Waschk <waschk@mandriva.org> 2.11.92-1mdk
- drop merged patch 0
- New release 2.11.92

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.91-3mdk 
- Patch1: fix monitoring of topdir directory

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.91-2mdk 
- Patch0 (markmc): don't access freed memory

* Wed Aug 10 2005 Götz Waschk <waschk@mandriva.org> 2.11.91-1mdk
- New release 2.11.91

* Wed Jul 27 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- New release 2.11.90

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.1-1mdk
- New release 2.11.1.1

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- final version

* Sat May 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050513.1mdk 
- new CVS snapshot, fix crash

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050512.1mdk 
- new CVS snapshot and this time, use the correct tarball :)

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-0.20050425.2mdk
- fix buildrequires

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050425.1mdk 
- new CVS snapshot, no longer uses gnome-vfs, use fam/gamin directly

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050420.3mdk
- add more provides

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-0.20050420.2mdk
- fix buildrequires

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050420.1mdk 
- Initial package based on Gtz Waschk package
- CVS snapshot of HEAD branch to get layout support

